FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » pspell questions
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
pspell questions [message #993] Tue, 19 March 2002 01:11 Go to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
do I need to do anything other than install the pspell libraries to get the message board to use them? I did this but it still shows up as disabled.

I did not install aspell, wasn't sure if i needed to, as i do have ispell.
Re: pspell questions [message #995 is a reply to message #993] Tue, 19 March 2002 01:29 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
You need to make sure your PHP has pspell support built in, by default it does not. Another words you need to recompile php and in addition to all the usuall parameters you pass to ./configure you need to add --with-pspell.

FUDforum Core Developer
Re: pspell questions [message #1011 is a reply to message #993] Tue, 19 March 2002 14:00 Go to previous messageGo to next message
hackie is currently offline  hackie   Canada
Messages: 177
Registered: January 2002
Karma: 0
Senior Member
Core Developer
add to buddy list
ignore all messages by this user

dangib wrote on Tue, 19 March 2002 1:11 AM

do I need to do anything other than install the pspell libraries to get the message board to use them? I did this but it still shows up as disabled.

I did not install aspell, wasn't sure if i needed to, as i do have ispell.


Err, you will probobly also need to install aspell library also because it contains the dictionaries pspell will use.


cc intelligence.c -o intelligence
$ ./intelligence
Segmentation fault
Re: pspell questions [message #1205 is a reply to message #993] Sat, 23 March 2002 22:17 Go to previous message
ironstorm is currently offline  ironstorm   Canada
Messages: 89
Registered: February 2002
Location: Toronto, Ontario, Canada
Karma: 0
Member
add to buddy list
ignore all messages by this user

dangib wrote on Tue, 19 March 2002 1:11 AM

do I need to do anything other than install the pspell libraries to get the message board to use them? I did this but it still shows up as disabled.

I did not install aspell, wasn't sure if i needed to, as i do have ispell.



Pspell and Aspell are/were interdependant last time I compiled
PHP w/ pspell support... (PHP 4.10 days)

Here is the general method (the versions are the ones I used):

# Get Pspell (12.2+)
./configure
make
make install

# Get Aspell (33.6.3+)
./configure
make
make install

# Finish Pspell install
cd ../Pspell/modules
./make
make install

# Build PHP4 w/ Pspell support (may need to modi the make file)
cd ../php4
dpkg-source -x
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: install.php problem at step 1
Next Topic: disable 30 days threshold
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Tue Oct 17 22:10:33 EDT 2017

Total time taken to generate the page: 0.00796 seconds